Subject: bug#23276: 25.0.92; Crash in auto-revert when file no longer present

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2016 18:16:28 +0300

> From: Óscar Fuentes <[email-masked]>
> Date: Sun, 17 Apr 2016 15:20:22 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > And I still am not convinced that deleting a file under auto-revert
> >> > shouldn't erase its buffer. Otherwise, it sounds like just
> >> > half-auto-revert to me. Would we keep the buffer non-empty if the
> >> > file existed but was empty?
> >> 
> >> I would not want it to erase the buffer. Countless have been the times that
> >> I've been working on a project, and an unbridled rm took away code from the
> >> disk which I was very grateful to find was still in a buffer.
> >
> > How is it different from clobbering a file by making it empty?
> 
> $ echo hello > foo.txt
> 
> $ emacs -Q foo.txt &
> 
> M-x auto-revert-mode
> 
> $ echo -n > foo.txt
> 
> M-x undo

How is this relevant to the issue at hand?  Undo is not part of the
picture.

> Clobbering a file doesn't imply that you lose its previous contents.

I never said otherwise.